#include <stdio.h>
#include <bsp.h>
#include <ssd2119.h>
#include <genericLCD_Controler.h>
#include <fonts.h>

extern LCD_t lcd0;
extern void ssd2119paintFilCirc_old(LCD_t* LCD,uint16_t Xpos,uint16_t Ypos,uint16_t r,uint32_t contColor,uint16_t contSz,uint32_t fillColor);

int main(void)
{
    printf("Hello World!\n\r");
    printf("SSD2119 Device Code = 0x%x\n\r",lcd0.interface->readreg(SSD2119_REGISTER_DEVICE_CODE_READ));
    printf("SSD2119 Entry mode = 0x%x\n\r",lcd0.interface->readreg(SSD2119_REGISTER_ENTRY_MODE));
    printf("SSD2119 Display Control = 0x%x\n\r",lcd0.interface->readreg(SSD2119_REGISTER_DISPLAY_CTRL));
    gpioset(LED2);
    lcd0.paintFilRect(&lcd0,0,0,lcd0.width,lcd0.height,0xFFFF,0,0xFFFF);
    lcd0.paintFilRect(&lcd0,10,10,100,100,0xFFFF,5,0);
    lcd0.paintText(&lcd0,"Malik Ta gueule!",50,150,&ComicSansMS_24,0);
    ssd2119paintFilCirc_old(&lcd0,160,120,50,0xF0F0,3,0x0F0F);
    return 0;
}

